import { IAppToolkit } from '../../../app-toolkit/app-toolkit.interface';
import { ContractFactory } from '../../../contract/contracts';
import { Network } from '../../../types/network.interface';
declare type ContractOpts = {
    address: string;
    network: Network;
};
export declare class WombatExchangeContractFactory extends ContractFactory {
    protected readonly appToolkit: IAppToolkit;
    constructor(appToolkit: IAppToolkit);
    wombatExchangeMasterWombat({ address, network }: ContractOpts): import("./ethers").WombatExchangeMasterWombat;
    wombatExchangePool({ address, network }: ContractOpts): import("./ethers").WombatExchangePool;
    wombatExchangePoolToken({ address, network }: ContractOpts): import("./ethers").WombatExchangePoolToken;
    wombatExchangeVotingEscrow({ address, network }: ContractOpts): import("./ethers").WombatExchangeVotingEscrow;
}
export type { WombatExchangeMasterWombat } from './ethers';
export type { WombatExchangePool } from './ethers';
export type { WombatExchangePoolToken } from './ethers';
export type { WombatExchangeVotingEscrow } from './ethers';
